mia-2dmyomilles
Prev | Registration of series of 2D images | Next

### mia-2dmyomilles

#### Sysnopis:

`mia-2dmyomilles` {-i `string`} {-o `string`} [ `options` ...]

#### Description:

This program is use to run a modified version of the ICA based registration approach described in

Milles et al. 'Fully Automated Motion Correction in First-Pass Myocardial Perfusion MR Image Sequences', Trans. Med. Imaging., 27(11), 1611-1621, 2008.

Changes include the extraction of the quasi-periodic movement in free breathingly acquired data sets and the option to run affine or rigid registration instead of the optimization of translations only.

#### Options:

#### File-IO

-i, --in-file=(input, required); string

  input perfusion data set

-o, --out-file=(output, required); string

  output perfusion data set

-r, --registered=STRING

  file name base for registered files

--save-references=STRING

  save synthetic reference images to this file base

--save-cropped=STRING

  save cropped image set to this file

--save-feature=STRING

  save the features images resulting from the ICA and some intermediate images used for the RV-LV segmentation with the given file name base to PNG files. Also save the coefficients of the initial best and the final IC mixing matrix.

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### ICA

--fastica=internal; factory

  FastICA implementationto be used. For supported plug-ins see Plugin type: fastica/implementation

-C, --components=0; ulong

  ICA components 0 = automatic estimation

--normalize

  normalized ICs

--no-meanstrip

  don't strip the mean from the mixing curves

-g, --guess

  use initial guess for myocardial perfusion

-s, --segscale=1.4; float

  segment and scale the crop box around the LV (0=no segmentation)

-k, --skip=0; ulong

  skip images at the beginning of the series as they are of other modalities

-m, --max-ica-iter=400; ulong

  maximum number of iterations in ICA

-E, --segmethod=features; dict

  Segmentation method

  delta-feature: | difference of the feature images
  delta-peak: | difference of the peak enhancement images
  features: | feature images

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Registration

-c, --cost=ssd; stringSTRING

  registration criterion

-O, --optimizer=gsl:opt=simplex,step=1.0; factory

  Optimizer used for minimization. For supported plug-ins see Plugin type: minimizer/singlecost

-f, --transForm=rigid; factory

  transformation type. For supported plug-ins see Plugin type: 2dimage/transform

-l, --mg-levels=3; ulong

  multi-resolution levels

-R, --reference=-1; int

  Global reference all image should be aligned to. If set to a non-negative value, the images will be aligned to this references, and the cropped output image date will be injected into the original images. Leave at -1 if you don't care. In this case all images with be registered to a mean position of the movement

-P, --passes=2; ulong

  registration passes

#### Example:

Register the perfusion series given in 'segment.set' by using automatic ICA estimation. Skip two images at the beginning and otherwiese use the default parameters. Store the result in 'registered.set'.

    mia-2dmyomilles   -i segment.set -o registered.set -k 2

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-2dmyoicapgt | Home | mia-2dmyoperiodic-nonrigid